| Qore ElasticSearchDataProvider Module Reference 1.1

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
ElasticSearchDataProvider::ElasticSearchPipelineReadDataProvider Class Reference

The ElasticSearch pipeline read API data provider. More...

`#include <ElasticSearchPipelineReadDataProvider.qc.dox.h>`

Inheritance diagram for ElasticSearchDataProvider::ElasticSearchPipelineReadDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (RestClient::RestClient rest)
| Creates the object from a REST connection.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from ElasticSearchDataProvider::ElasticSearchDataProviderBase
| constructor ()
| Creates the object.
| constructor (RestClient rest)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes
const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.
const | QueryArgs = ("master_timeout",)
| Query args.
const | RequestType = new ElasticSearchPipelineReadRequestDataType()
| Request type.
const | ResponseType = new ElasticSearchAcknowledgedDataType()
| Response type.

## Protected Member Functions
auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*DataProvider::AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*DataProvider::AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.

## Detailed Description

The ElasticSearch pipeline read API data provider.

This class implements an API that reads pipeline data given the pipeline name as an argument; the response is the description of the pipeline as returned by the ElasticSearch server.

Note that wildcards can be used, in which case multiple pipelines can be returned in the return value.

## Member Function Documentation

## ◆ doRequestImpl()

auto ElasticSearchDataProvider::ElasticSearchPipelineReadDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options )
| protected

Makes a request and returns the response.

Parameters

  req | the request to serialize and make according to the request type
  request_options | the request options; will be processed by validateRequestOptions()

Returns
  the response to the request

## ◆ getRequestTypeImpl()

*DataProvider::AbstractDataProviderType ElasticSearchDataProvider::ElasticSearchPipelineReadDataProvider::getRequestTypeImpl | ( |  | ) |
| protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## ◆ getResponseTypeImpl()

*DataProvider::AbstractDataProviderType ElasticSearchDataProvider::ElasticSearchPipelineReadDataProvider::getResponseTypeImpl | ( |  | ) |
| protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message